Subject: bug#36591: 26.2; Term's pager seems broken

From: Adam Bliss <[email-masked]>
Date: Tue, 23 Jul 2019 18:33:38 -0400

On Tue, Jul 23, 2019, 13:40 Eli Zaretskii <[email-masked]> wrote:

> > From: Noam Postavsky <[email-masked]>
> > Date: Tue, 23 Jul 2019 09:53:37 -0400
> > Cc: [email-masked]
> >
> > So the bug can be fixed by adding a single '!'.  Eli, any chance of
> > having this fix in the release branch?
>
> I don't think I understand why the change fixes the bug, sorry.  Can
> you tell in more detail?  Also, the same function is called in another
> place, so what will this change do to that other caller?
>
> And how come we lived with this bug for 3 years without having noticed
> it?
>

I don't understand it either, and I can't answer your questions; however I
can confirm that the proposed patch, atop my local build of 26.2, does seem
to fix the bug.

Thanks,
--Adam